| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# fragments::install::LogFile Class Reference

List of all members.

## Detailed Description

    Class to incapsulate the logfile functionalities.

Definition at line 186 of file install.py.

## Public Member Functions
def | __init__
def | get_dest
def | set_dest
def | get_sources
def | remove
def | __len__
## Private Attributes
| _installed_files

## Member Function Documentation

def fragments::install::LogFile::__init__ | ( |  | self | ) |

Definition at line 190 of file install.py.

    00190                       :
    00191         self._installed_files = {}
    00192
        def get_dest(self,source):

def fragments::install::LogFile::get_dest | ( |  | self,
|  |  | source |
| ) |  |  |

Definition at line 193 of file install.py.

    00193                              :
    00194         try:
    00195             return self._installed_files[source]
    00196         except KeyError:
    00197             return None
    00198
        def set_dest(self,source,dest):

def fragments::install::LogFile::set_dest | ( |  | self,
|  |  | source,
|  |  | dest |
| ) |  |  |

Definition at line 199 of file install.py.

    00199                                   :
    00200         self._installed_files[source] = dest
    00201
        def get_sources(self):

def fragments::install::LogFile::get_sources | ( |  | self | ) |

Definition at line 202 of file install.py.

    00202                          :
    00203         return self._installed_files.keys()
    00204
        def remove(self,source):

def fragments::install::LogFile::remove | ( |  | self,
|  |  | source |
| ) |  |  |

Definition at line 205 of file install.py.

    00205                            :
    00206         try:
    00207             del  self._installed_files[source]
    00208         except KeyError:
    00209             pass
    00210
        def __len__(self):

def fragments::install::LogFile::__len__ | ( |  | self | ) |

Definition at line 211 of file install.py.

    00211                      :
    00212         return self._installed_files.__len__()
    00213
    def filename_match(name,patterns,default=False):

## Member Data Documentation

fragments::install::LogFile::_installed_files`[private]`

Definition at line 191 of file install.py.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiPolicy/cmt/fragments/install.py